aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d/rcS.d/040-setmodprobe.sh
diff options
context:
space:
mode:
authorHarald Hoyer <harald@redhat.com>2010-08-03 18:14:03 +0200
committerHarald Hoyer <harald@redhat.com>2010-08-03 18:19:30 +0200
commit93cc50fe12718a04317589cce122e864137d6b42 (patch)
treeb944ac0c914055daf9a00eacb273e86db4f60f21 /rc.d/rcS.d/040-setmodprobe.sh
parente127d5bcfe2e0175e88e8afdd644ee05a22538a5 (diff)
downloadinitscripts-9.16.0.1.systemd-1.tar
initscripts-9.16.0.1.systemd-1.tar.gz
initscripts-9.16.0.1.systemd-1.tar.bz2
initscripts-9.16.0.1.systemd-1.tar.xz
initscripts-9.16.0.1.systemd-1.zip
add systemd servicesinitscripts-9.16.0.1.systemd-1
Diffstat (limited to 'rc.d/rcS.d/040-setmodprobe.sh')
-rwxr-xr-xrc.d/rcS.d/040-setmodprobe.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/rc.d/rcS.d/040-setmodprobe.sh b/rc.d/rcS.d/040-setmodprobe.sh
new file mode 100755
index 00000000..66003357
--- /dev/null
+++ b/rc.d/rcS.d/040-setmodprobe.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+[[ $(type -t strstr) = "function" ]] || . /etc/init.d/functions
+[[ $cmdline ]] || cmdline=$(cat /proc/cmdline)
+
+# Initialize hardware
+if [ -f /proc/sys/kernel/modprobe ]; then
+ if ! strstr "$cmdline" nomodules && [ -f /proc/modules ] ; then
+ sysctl -w kernel.modprobe="/sbin/modprobe" >/dev/null 2>&1
+ else
+ # We used to set this to NULL, but that causes 'failed to exec' messages"
+ sysctl -w kernel.modprobe="/bin/true" >/dev/null 2>&1
+ fi
+fi
+: